import React from 'react';
import PropTypes from 'prop-types';
import ExamplesRenderer from 'rsg-components/Examples/ExamplesRenderer';

var Examples = function Examples(_ref) {
  var content = _ref.content,
      componentName = _ref.componentName,
      componentHashPath = _ref.componentHashPath,
      exampleMode = _ref.exampleMode;
  var ExampleComponent = content.default;
  return /*#__PURE__*/React.createElement(ExamplesRenderer, {
    componentName: componentName
  }, /*#__PURE__*/React.createElement(ExampleComponent, {
    componentName: componentName,
    componentHashPath: componentHashPath,
    exampleMode: exampleMode
  }));
};

Examples.propTypes = {
  content: PropTypes.any.isRequired,
  componentName: PropTypes.string.isRequired,
  componentHashPath: PropTypes.arrayOf(PropTypes.string.isRequired).isRequired,
  exampleMode: PropTypes.string.isRequired
};
export default Examples;