import "core-js/modules/es.function.name.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.symbol.description.js";
import React from 'react';
import PropTypes from 'prop-types';
import Examples from 'rsg-components/Examples';
import Components from 'rsg-components/Components';
import Sections from 'rsg-components/Sections';
import SectionRenderer from 'rsg-components/Section/SectionRenderer';
import { useStyleGuideContext } from 'rsg-components/Context';

var Section = function Section(_ref) {
  var section = _ref.section,
      depth = _ref.depth;

  var _useStyleGuideContext = useStyleGuideContext(),
      isolated = _useStyleGuideContext.isolated,
      pagePerSection = _useStyleGuideContext.config.pagePerSection;

  var name = section.name,
      hashPath = section.hashPath,
      slug = section.slug,
      content = section.content,
      components = section.components,
      sections = section.sections,
      description = section.description,
      exampleMode = section.exampleMode,
      usageMode = section.usageMode;
  var contentJsx = content && /*#__PURE__*/React.createElement(Examples, {
    content: content,
    componentName: name,
    componentHashPath: hashPath,
    exampleMode: exampleMode
  });
  var componentsJsx = components && /*#__PURE__*/React.createElement(Components, {
    usageMode: usageMode,
    exampleMode: exampleMode,
    components: components,
    depth: depth + 1
  });
  var sectionsJsx = sections && /*#__PURE__*/React.createElement(Sections, {
    sections: sections,
    depth: depth + 1
  });
  return /*#__PURE__*/React.createElement(SectionRenderer, {
    description: description,
    pagePerSection: pagePerSection,
    name: name,
    slug: slug,
    hashPath: hashPath,
    content: contentJsx,
    components: componentsJsx,
    sections: sectionsJsx,
    isolated: isolated,
    depth: depth
  });
};

Section.propTypes = {
  section: PropTypes.any.isRequired,
  depth: PropTypes.number.isRequired
};
export default Section;