import "core-js/modules/es.function.name.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.symbol.description.js";
import React from 'react';
import PropTypes from 'prop-types';
import Styled from 'rsg-components/Styled';
import SectionHeading from 'rsg-components/SectionHeading';
import Markdown from 'rsg-components/Markdown';

var styles = function styles(_ref) {
  var space = _ref.space;
  return {
    root: {
      marginBottom: space[4]
    }
  };
};

export var SectionRenderer = function SectionRenderer(_ref2) {
  var classes = _ref2.classes,
      name = _ref2.name,
      slug = _ref2.slug,
      content = _ref2.content,
      components = _ref2.components,
      sections = _ref2.sections,
      depth = _ref2.depth,
      description = _ref2.description,
      pagePerSection = _ref2.pagePerSection,
      isolated = _ref2.isolated,
      hashPath = _ref2.hashPath;
  return /*#__PURE__*/React.createElement("section", {
    className: classes.root,
    "data-testid": "section-" + slug
  }, name && /*#__PURE__*/React.createElement(SectionHeading, {
    name: name,
    slug: slug,
    hashPath: hashPath,
    pagePerSection: pagePerSection,
    isolated: isolated,
    depth: depth,
    slotName: "sectionToolbar"
  }, name), description && /*#__PURE__*/React.createElement(Markdown, {
    text: description
  }), content, sections, components);
};
SectionRenderer.propTypes = {
  classes: PropTypes.objectOf(PropTypes.string.isRequired).isRequired,
  name: PropTypes.string.isRequired,
  description: PropTypes.string,
  slug: PropTypes.string.isRequired,
  content: PropTypes.node,
  components: PropTypes.node,
  sections: PropTypes.node,
  isolated: PropTypes.bool.isRequired,
  depth: PropTypes.number.isRequired,
  pagePerSection: PropTypes.bool.isRequired
};
export default Styled(styles)(SectionRenderer);