function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import "core-js/modules/es.function.name.js";
import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.object.assign.js";

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import Slot from 'rsg-components/Slot';
import SectionHeadingRenderer from 'rsg-components/SectionHeading/SectionHeadingRenderer';
import { getIsolatedUrl, getSectionUrl } from '../../utils/getUrl';
export var getIsolatedButtonUrl = function getIsolatedButtonUrl(_ref) {
  var isolated = _ref.isolated,
      pagePerSection = _ref.pagePerSection,
      slug = _ref.slug,
      hashPath = _ref.hashPath;

  if (isolated) {
    return getSectionUrl({
      pagePerSection: pagePerSection,
      slug: slug,
      hashPath: hashPath
    });
  } else {
    return getIsolatedUrl(hashPath);
  }
};

var SectionHeading = function SectionHeading(_ref2) {
  var slotName = _ref2.slotName,
      children = _ref2.children,
      name = _ref2.name,
      slug = _ref2.slug,
      hashPath = _ref2.hashPath,
      pagePerSection = _ref2.pagePerSection,
      isolated = _ref2.isolated,
      rest = _objectWithoutPropertiesLoose(_ref2, ["slotName", "children", "name", "slug", "hashPath", "pagePerSection", "isolated"]);

  return /*#__PURE__*/React.createElement(SectionHeadingRenderer, _extends({
    toolbar: /*#__PURE__*/React.createElement(Slot, {
      name: slotName,
      props: {
        name: name,
        isolated: isolated,
        href: getIsolatedButtonUrl({
          isolated: isolated,
          pagePerSection: pagePerSection,
          slug: slug,
          hashPath: hashPath
        })
      }
    }),
    id: slug,
    href: getSectionUrl({
      pagePerSection: pagePerSection,
      slug: slug,
      hashPath: hashPath
    })
  }, rest), children);
};

SectionHeading.propTypes = {
  name: PropTypes.string.isRequired,
  slotName: PropTypes.string.isRequired,
  depth: PropTypes.number.isRequired,
  slug: PropTypes.string.isRequired,
  hashPath: PropTypes.arrayOf(PropTypes.string.isRequired).isRequired,
  deprecated: PropTypes.bool,
  pagePerSection: PropTypes.bool.isRequired,
  isolated: PropTypes.bool.isRequired,
  children: PropTypes.node
};
export default SectionHeading;