import React from 'react';
import { RenderOptions, RenderResult } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import { StyleGuideContextContents } from '../rsg-components/Context';
declare type PartialContext = Partial<Omit<StyleGuideContextContents, 'config'>> & {
    config?: Partial<StyleGuideContextContents['config']>;
};
export declare const Provider: ({ children, ...props }: Partial<Pick<StyleGuideContextContents, "isolated" | "exampleIndex" | "slots" | "codeRevision" | "cssRevision">> & {
    config?: Partial<import("../../typings").ProcessedStyleguidistConfig> | undefined;
} & {
    children: React.ReactNode;
}) => JSX.Element;
declare const customRender: (ui: React.ReactElement, options?: RenderOptions) => RenderResult;
export { act, fireEvent, screen, getNodeText, getRoles, isInaccessible, logDOM, logRoles, waitForElementToBeRemoved, within, } from '@testing-library/react';
export { customRender as render };
