import "core-js/modules/es.array.map.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.assign.js";
import "core-js/modules/es.array.concat.js";

/**
 * Do things that are hard or impossible to do in a loader: we don’t have access to component name
 * and props in the styleguide-loader because we’re using `require` to load the component module.
 */
export default function processComponents(components, parentHashPath) {
  if (parentHashPath === void 0) {
    parentHashPath = [];
  }

  return components.filter(function (component) {
    return !!component.props;
  }) // TODO: Why do we need this?
  .map(function (component) {
    return Object.assign({}, component, {
      // Add .name shortcuts for names instead of .props.displayName.
      name: component.props.displayName,
      visibleName: component.props.visibleName || component.props.displayName,
      hashPath: [].concat(parentHashPath, [component.props.displayName])
    });
  });
}