import { MethodDescriptor, PropDescriptor, TagProps } from 'react-docgen';
import { ExamplesModule } from './RsgExample';
import { RequireItResult } from './RsgRequireItResult';
export declare type ExpandMode = 'expand' | 'collapse' | 'hide';
/**
 * Component object used in the loader
 */
export interface LoaderComponent {
    filepath: string;
    slug: string;
    href?: string;
    pathLine: string;
    module: RequireItResult;
    props: RequireItResult;
    hasExamples: boolean;
    metadata: RequireItResult | Record<string, unknown>;
}
export interface RawComponent extends Omit<LoaderComponent, 'module' | 'props' | 'metadata'> {
    props: {
        displayName: string;
        visibleName?: string;
        description?: string;
        methods?: MethodDescriptor[];
        props?: PropDescriptor[];
        tags?: TagProps;
        content?: ExamplesModule;
    };
    metadata: {
        tags?: string[];
    };
}
/**
 * Enhanced component object used on the client
 */
export interface Component extends RawComponent {
    name: string;
    visibleName: string;
    hashPath: string[];
}
